﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using iSDK;

namespace CanonController
{
    public partial class frmLoadProgress : Form
    {
        List<string> SERIAL_LIST;
        iSDKLC myLens;

        public frmLoadProgress(iSDKLC isdk, List<string> SerialList)
        {
            InitializeComponent();
            SERIAL_LIST = SerialList;
            myLens = isdk;

            pbLoadLensIDs.Minimum = 0;
            pbLoadLensIDs.Maximum = SerialList.Count();
            pbLoadLensIDs.Step = 1;
        }


        private void LoadComplete()
        {
            label1.Text = "Load Complete";
            btnOK.Visible = true;
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void frmLoadProgress_Shown(object sender, EventArgs e)
        {
            Application.DoEvents();
            foreach (String s in SERIAL_LIST)
            {
                myLens.PortWrite(s);
                pbLoadLensIDs.PerformStep();
                System.Threading.Thread.Sleep(350); //5ms delay per char 64 chars max + a little buffer
            }
            LoadComplete();
        }
    }
}
